Irrlicht Engine: irr::gui::IGUITreeView Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUITreeView Class Reference

Default tree view GUI element. More...

`#include <IGUITreeView.h>`

Inheritance diagram for irr::gui::IGUITreeView:

List of all members.

## Public Member Functions
virtual bool | getImageLeftOfIcon () const =0
| Returns if the Image is left of the icon. Default is true.
virtual IGUIImageList * | getImageList () const =0
| Returns the image list which is used for the nodes.
virtual IGUITreeViewNode * | getLastEventNode () const =0
| Returns the node which is associated to the last event.
virtual bool | getLinesVisible () const =0
| returns true if the tree lines are visible
virtual IGUITreeViewNode * | getRoot () const =0
| returns the root node (not visible) from the tree.
virtual IGUITreeViewNode * | getSelected () const =0
| returns the selected node of the tree or 0 if none is selected
| IGUITreeView (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor
virtual void | setIconFont (IGUIFont *font)=0
| Sets the font which should be used as icon font.
virtual void | setImageLeftOfIcon (bool bLeftOf)=0
| Sets if the image is left of the icon. Default is true.
virtual void | setImageList (IGUIImageList *imageList)=0
| Sets the image list which should be used for the image and selected image of every node.
virtual void | setLinesVisible (bool visible)=0
| sets if the tree lines are visible

## Detailed Description

Default tree view GUI element.

Displays a windows like tree buttons to expand/collaps the child nodes of an node and optional tree lines. Each node consits of an text, an icon text and a void pointer for user data.

Definition at line 197 of file IGUITreeView.h.

## Constructor & Destructor Documentation

irr::gui::IGUITreeView::IGUITreeView | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 201 of file IGUITreeView.h.

## Member Function Documentation

virtual bool irr::gui::IGUITreeView::getImageLeftOfIcon | ( |  | ) | const`[pure virtual]`

Returns if the Image is left of the icon. Default is true.

virtual IGUIImageList* irr::gui::IGUITreeView::getImageList | ( |  | ) | const`[pure virtual]`

Returns the image list which is used for the nodes.

virtual IGUITreeViewNode* irr::gui::IGUITreeView::getLastEventNode | ( |  | ) | const`[pure virtual]`

Returns the node which is associated to the last event.

This pointer is only valid inside the OnEvent call!

virtual bool irr::gui::IGUITreeView::getLinesVisible | ( |  | ) | const`[pure virtual]`

returns true if the tree lines are visible

virtual IGUITreeViewNode* irr::gui::IGUITreeView::getRoot | ( |  | ) | const`[pure virtual]`

returns the root node (not visible) from the tree.

virtual IGUITreeViewNode* irr::gui::IGUITreeView::getSelected | ( |  | ) | const`[pure virtual]`

returns the selected node of the tree or 0 if none is selected

virtual void irr::gui::IGUITreeView::setIconFont | ( | IGUIFont * | font | ) | `[pure virtual]`

Sets the font which should be used as icon font.

This font is set to the Irrlicht engine built-in-font by default. Icons can be displayed in front of every list item. An icon is a string, displayed with the icon font. When using the build-in-font of the Irrlicht engine as icon font, the icon strings defined in GUIIcons.h can be used.

virtual void irr::gui::IGUITreeView::setImageLeftOfIcon | ( | bool | bLeftOf | ) | `[pure virtual]`

Sets if the image is left of the icon. Default is true.

virtual void irr::gui::IGUITreeView::setImageList | ( | IGUIImageList * | imageList | ) | `[pure virtual]`

Sets the image list which should be used for the image and selected image of every node.

The default is 0 (no images).

virtual void irr::gui::IGUITreeView::setLinesVisible | ( | bool | visible | ) | `[pure virtual]`

sets if the tree lines are visible

Parameters:

  | visible | true for visible, false for invisible

The documentation for this class was generated from the following file:

- IGUITreeView.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:05 2010 by Doxygen (1.6.2)